Project

General

Profile

Actions

Bug #11280

closed

r49210 breaks --with-ext

Added by mame (Yusuke Endoh) about 9 years ago. Updated almost 9 years ago.

Status:
Closed
Target version:
-
ruby -v:
ruby 2.3.0dev (2015-06-18 master 50951) [x86_64-linux]
[ruby-dev:49108]

Description

中田さん

r49210 以降、--with-ext=zlib としても zlib 以外をビルドしてしまうようになっていると思います。
2.2.2 はちゃんと zlib だけビルドしてくれます。

--
Yusuke Endoh

Updated by mame (Yusuke Endoh) about 9 years ago

  • ruby -v changed from ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux] to ruby 2.3.0dev (2015-06-18 master 50951) [x86_64-linux]
Actions #2

Updated by nobu (Nobuyoshi Nakada) about 9 years ago

  • Status changed from Assigned to Closed

Applied in changeset r50959.


extmk.rb: fix with-ext condition

  • ext/extmk.rb: configure intersection of with-ext and not
    without-ext, as withouts is no longer true by default if
    with-ext option is given. [ruby-dev:49108] [Bug #11280]

Updated by usa (Usaku NAKAMURA) almost 9 years ago

  • Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN to 2.0.0: DONTNEED, 2.1: DONTNEED, 2.2: DONTNEED
Actions

Also available in: Atom PDF

Like0
Like0Like0Like0